﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace sinav
{
    public partial class furuntanimi : Form
    {
        MySqlDataAdapter da_form2;
        public furuntanimi(MySqlDataAdapter _da_form2)
        {
            InitializeComponent();
            da_form2 = _da_form2;
            listbox_doldur();
        }


        DataTable dt_form2;
        private void listbox_doldur()
        {
            dt_form2 = new DataTable();
            da_form2.Fill(dt_form2);

            lurun.Items.Clear();
            lxoran.Items.Clear();
            lyoran.Items.Clear();
            lzoran.Items.Clear();

            for (int satir = 0; satir < dt_form2.Rows.Count; satir++)
            {
                lurun.Items.Add(dt_form2.Rows[satir].ItemArray[1].ToString());
                lxoran.Items.Add(dt_form2.Rows[satir].ItemArray[2].ToString());
                lyoran.Items.Add(dt_form2.Rows[satir].ItemArray[3].ToString());
                lzoran.Items.Add(dt_form2.Rows[satir].ItemArray[4].ToString());


            }

        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            double x,y,z;

            bool xx = Double.TryParse(txoran.Text, out x);
            bool yy = Double.TryParse(tyoran.Text, out y);
            bool zz = Double.TryParse(tzoran.Text, out z);

            if (turun.Text.Length > 0 && xx && yy && zz)
            {
                DataRow dr = dt_form2.NewRow();
                dr["urunadi"] = turun.Text;
                dr["xoran"] = x;
                dr["yoran"] = y;
                dr["zoran"] = z;
                dt_form2.Rows.Add(dr);
                da_form2.Update(dt_form2);
                turun.Clear();
                txoran.Clear();
                tyoran.Clear();
                tzoran.Clear();
                listbox_doldur();

            }
                
            


        }

        private void bgetir_Click(object sender, EventArgs e)
        {
            int index = lurun.SelectedIndex;
            if (index > -1)
            {
                turun.Text = dt_form2.Rows[index].ItemArray[1].ToString();
                txoran.Text = dt_form2.Rows[index].ItemArray[2].ToString();
                tyoran.Text = dt_form2.Rows[index].ItemArray[3].ToString();
                tzoran.Text = dt_form2.Rows[index].ItemArray[4].ToString();
            }


        }

        private void bguncelle_Click(object sender, EventArgs e)
        {
            double x, y, z;

            bool xx = Double.TryParse(txoran.Text, out x);
            bool yy = Double.TryParse(tyoran.Text, out y);
            bool zz = Double.TryParse(tzoran.Text, out z);

            int index = lurun.SelectedIndex;

            if (turun.Text.Length > 0 && xx && yy && zz && index>-1)
            {
                DataRow dr = dt_form2.Rows[index];
                dr["urunadi"] = turun.Text;
                dr["xoran"] = x;
                dr["yoran"] = y;
                dr["zoran"] = z;
                da_form2.Update(dt_form2);
                turun.Clear();
                txoran.Clear();
                tyoran.Clear();
                tzoran.Clear();
                listbox_doldur();

            }
               
        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
